classification
Title: Fix multiprocessing for non-ascii data
Type: behavior Stage: resolved
Components: Library (Lib), Tests Versions: Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: benjamin.peterson, jnoller, python-dev, sbt, serhiy.storchaka, vstinner
Priority: normal Keywords: patch

Created on 2014-06-24 07:32 by serhiy.storchaka, last changed 2015-02-15 12:05 by serhiy.storchaka. This issue is now closed.

Files
File name Uploaded Description Edit
multiprocessing.patch serhiy.storchaka, 2014-06-24 07:32 review
multiprocessing_2.patch serhiy.storchaka, 2014-06-25 15:51 review
Messages (3)
msg221423 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2014-06-24 07:32
Proposed patch fixes the multiprocessing module and it's tests for Python built with the --disable-unicode configure option.
msg221554 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2014-06-25 15:51
Actually there is a bug in the multiprocessing module which makes it fail for non-ascii str and unicode values even in unicode-enabled build. Updated patch fixes it and adds missed tests.
msg235890 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2015-02-13 13:21
New changeset a4a3a8b3f37f by Serhiy Storchaka in branch '2.7':
Issue #21849: Fixed xmlrpclib serialization of non-ASCII unicode strings in
https://hg.python.org/cpython/rev/a4a3a8b3f37f

New changeset 908533d5a427 by Serhiy Storchaka in branch '3.4':
Issue #21849: Ported from 2.7 tests for non-ASCII data.
https://hg.python.org/cpython/rev/908533d5a427

New changeset 1784c1901af6 by Serhiy Storchaka in branch 'default':
Issue #21849: Ported from 2.7 tests for non-ASCII data.
https://hg.python.org/cpython/rev/1784c1901af6
History
Date User Action Args
2015-02-15 12:05:01serhiy.storchakasetstatus: open -> closed
dependencies: - Fix unicodeless build of Python
resolution: fixed
stage: patch review -> resolved
2015-02-13 13:21:00python-devsetnosy: + python-dev
messages: + msg235890
2014-06-26 22:41:26vstinnersetnosy: + vstinner
2014-06-25 15:51:44serhiy.storchakasetfiles: + multiprocessing_2.patch

messages: + msg221554
title: Fix multiprocessing in unicodeless build -> Fix multiprocessing for non-ascii data
2014-06-24 07:38:00serhiy.storchakasetdependencies: + Fix unicodeless build of Python
2014-06-24 07:32:38serhiy.storchakacreate